> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 保護対象リソースのメタデータを取得

> MCP リソースのオーディエンス、認可サーバー、対応するプロダクト権限、対応するベアラートークンの送信方式を検出します。

MCP リソースのオーディエンス、認可サーバー、対応するプロダクト権限、対応するベアラートークンの送信方式を検出します。

```http theme={null}
GET https://api.voicecheap.ai/.well-known/oauth-protected-resource
```

## 認証

なし。

## リクエスト例

このルートに記載されたエンコード方式と認証方法に従ってください。アクション API のエンベロープと冪等性のルールは、アクションの呼び出しにのみ適用されます。

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/.well-known/oauth-protected-resource'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/.well-known/oauth-protected-resource', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/.well-known/oauth-protected-resource",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## レスポンス

OAuth の保護対象リソースメタデータ。公開されている2つのメタデータパスは、MCP リソースに対して同じオブジェクトを返します。

```json HTTP 200 theme={null}
{
  "resource": "https://api.voicecheap.ai/mcp",
  "resource_name": "VoiceCheap MCP",
  "authorization_servers": ["https://api.voicecheap.ai"],
  "scopes_supported": [
    "account:read",
    "usage:read",
    "settings:read",
    "settings:write",
    "team:read",
    "team:write",
    "projects:read",
    "projects:write",
    "projects:delete",
    "translations:write",
    "transcription:read",
    "transcription:write",
    "subtitles:read",
    "subtitles:write",
    "tts:read",
    "tts:write",
    "voices:read",
    "voices:write",
    "images:read",
    "images:write",
    "thumbnails:read",
    "thumbnails:write",
    "folders:read",
    "folders:write",
    "glossary:read",
    "glossary:write",
    "webhooks:read",
    "webhooks:write",
    "publishing:read",
    "publishing:write"
  ],
  "bearer_methods_supported": ["header"]
}
```

## 操作の注意事項

* 認可リクエストとトークンリクエストの作成時には、返された resource をそのまま使用してください。/v1 への置き換え、末尾へのスラッシュの追加、別環境のオリジンの使用はしないでください。
* このリソースは HTTP ヘッダー経由の bearer 認証情報を受け付けます。クエリ文字列の認証情報は MCP 認証で拒否されます。
* scopes\_supported には製品権限のみが含まれます。offline\_access は認可サーバーのメタデータに記載されます。
* 未認証の /mcp レスポンスは、WWW-Authenticate で /mcp 固有のメタデータパスを通知します。
* 本番環境のリソースは [https://api.voicecheap.ai/mcp](https://api.voicecheap.ai/mcp) です。開発環境のデフォルトリソースは [https://dev.api.voicecheap.ai/mcp](https://dev.api.voicecheap.ai/mcp) ですが、デプロイによって異なる正規の開発用オリジンが公開される場合があります。

## エラー

| HTTP ステータス | コード | 意味または対処方法 |
| - | - | - |
| 429 | `temporarily_unavailable` | 公開 OAuth リクエストのレート上限に達しました。現在の制限期間が終わってから再試行してください。 |
| 500 | `server_error` | 認可を一時的に利用できません。後で再試行してください。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.